Subject: Re: oldhand cygwinner needed: RE: __errno_location() like functionality in Cygwin
From: "Dmitry Timoshkov" <[email-masked]>
To: "Robinow, David" <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 4 May 2001 22:47:58 +0800

"Robinow, David" <[email-masked]> wrote:

> > Thanks for the pointer, but did you see my original question? 
> > How can I have
> > *only* thread local errno variable? Under Linux that
> 
> #include <errno.h>

What then? As far as I understand, it will work *only* if I have global reent
struct for each thread, and then I must switch _impure_ptr pointer in each
thead *manually*.
 
> > functionality is provided
> > by overriding __errno_location() function. Under Cygwin 
> > definition of my own
> > __errno() function doesn't help.
>  Why do you want your own __errno function?

Probably I wasn't clear enough in my previous postings, sorry. It's not me,
it's an application that I want to port to Cygwin. Is it so unusual to have
*an application provided* errno variable (for every distinct thread)?

As I already mentioned, that approach works fine in Linux. As far as I know,
similar mechanisms are provided by FreeBSD (__error()), Solaris (___errno()),
UnixWare (__thr_errno()).

Is it true that Cygwin has no analogous functionality?

Anyway thanks for your help.
--
Dmitry.

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple